<?php
/**
 * Real Estate Company main admin class
 *
 * @package Real Estate Company
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class real_estate_company_Admin_Main
 */
class real_estate_company_Notice {
    public $theme_name;

    /**
     * Real Estate Company Notice constructor.
     */
    public function __construct() {

        global $admin_main_class;

        add_action( 'admin_enqueue_scripts', array( $this, 'real_estate_company_enqueue_scripts' ) );

        add_action( 'wp_loaded', array( $this, 'real_estate_company_hide_welcome_notices' ) );
        add_action( 'wp_loaded', array( $this, 'real_estate_company_welcome_notice' ) );


        add_action( 'wp_ajax_real_estate_company_activate_plugin', array( $admin_main_class, 'real_estate_company_activate_demo_importer_plugin' ) );
        add_action( 'wp_ajax_real_estate_company_install_plugin', array( $admin_main_class, 'real_estate_company_install_demo_importer_plugin' ) );

        add_action( 'wp_ajax_real_estate_company_install_free_plugin', array( $admin_main_class, 'real_estate_company_install_free_plugin' ) );
        add_action( 'wp_ajax_real_estate_company_activate_free_plugin', array( $admin_main_class, 'real_estate_company_activate_free_plugin' ) );

        //theme details
        $theme = wp_get_theme();
        $this->theme_name = $theme->get( 'Name' );
    }

    /**
     * Localize array for import button AJAX request.
     */
    public function real_estate_company_enqueue_scripts() {
        wp_enqueue_style( 'real-estate-company-admin-style', get_template_directory_uri() . '/inc/admin/assets/css/admin.css', array(), 20151215 );

        wp_enqueue_script( 'real-estate-company-plugin-install-helper', get_template_directory_uri() . '/inc/admin/assets/js/plugin-handle.js', array( 'jquery' ), 20151215 );

        $demo_importer_plugin = WP_PLUGIN_DIR . '/creativ-demo-importer/creativ-demo-importer.php';
        if ( ! file_exists( $demo_importer_plugin ) ) {
            $action = 'install';
        } elseif ( file_exists( $demo_importer_plugin ) && !is_plugin_active( 'creativ-demo-importer/creativ-demo-importer.php' ) ) {
            $action = 'activate';
        } else {
            $action = 'redirect';
        }

        wp_localize_script( 'real-estate-company-plugin-install-helper', 'ogAdminObject',
            array(
                'ajax_url'      => esc_url( admin_url( 'admin-ajax.php' ) ),
                '_wpnonce'      => wp_create_nonce( 'real_estate_company_plugin_install_nonce' ),
                'buttonStatus'  => esc_html( $action )
            )
        );
    }

    /**
     * Add admin welcome notice.
     */
    public function real_estate_company_welcome_notice() {

        if ( isset( $_GET['activated'] ) ) {
            update_option( 'real_estate_company_admin_notice_welcome', true );
        }

        $welcome_notice_option = get_option( 'real_estate_company_admin_notice_welcome' );

        // Let's bail on theme activation.
        if ( $welcome_notice_option ) {
            add_action( 'admin_notices', array( $this, 'real_estate_company_welcome_notice_html' ) );
        }
    }

    /**
     * Hide a notice if the GET variable is set.
     */
    public static function real_estate_company_hide_welcome_notices() {
        if ( isset( $_GET['real-estate-company-hide-welcome-notice'] ) && isset( $_GET['_real_estate_company_welcome_notice_nonce'] ) ) {
            if ( ! wp_verify_nonce( $_GET['_real_estate_company_welcome_notice_nonce'], 'real_estate_company_hide_welcome_notices_nonce' ) ) {
                wp_die( esc_html__( 'Action failed. Please refresh the page and retry.', 'real-estate-company' ) );
            }

            if ( ! current_user_can( 'manage_options' ) ) {
                wp_die( esc_html__( 'Cheat in &#8217; huh?', 'real-estate-company' ) );
            }

            $hide_notice = sanitize_text_field( $_GET['real-estate-company-hide-welcome-notice'] );
            update_option( 'real_estate_company_admin_notice_' . $hide_notice, false );
        }
    }

    /**
     * function to display welcome notice section
     */
    public function real_estate_company_welcome_notice_html() {
        $current_screen = get_current_screen();

        if ( $current_screen->id !== 'dashboard' && $current_screen->id !== 'themes' ) {
            return;
        }
        ?>
        
<?php
    }
}
new real_estate_company_Notice();